# QueryString Struct Reference

Data stored about a string that can be modified in the GUI. More...

`#include <querystring_gui.h>`

Inherited by QueryStringBaseWindow.

## Public Member Functions

| QueryString ()
| Make sure everything gets initialized properly.
| ~QueryString ()
| Make sure everything gets freed.
bool | HasEditBoxFocus (const Window *w, int wid) const
void | DrawEditBox (Window *w, int wid)
void | HandleEditBox (Window *w, int wid)
HandleEditBoxResult | HandleEditBoxKey (Window *w, int wid, uint16 key, uint16 keycode, Window::EventState &state)

## Data Fields

StringID | caption
Textbuf | text
const char * | orig
CharSetFilter | afilter
bool | handled

## Detailed Description

Data stored about a string that can be modified in the GUI.

Definition at line 25 of file querystring_gui.h.

The documentation for this struct was generated from the following files:

- src/querystring_gui.h
- src/misc_gui.cpp